package pl.sloudpl.simplevanish;

import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;
import pl.sloudpl.simplevanish.bstats.Metrics;
import pl.sloudpl.simplevanish.cmds.VanishCommand;
import pl.sloudpl.simplevanish.events.onJoinEvent;
import pl.sloudpl.simplevanish.events.onLeaveEvent;

import java.util.ArrayList;

public final class SimpleVanish extends JavaPlugin {

    public ArrayList<Player> inVanishList = new ArrayList<>();

    @Override
    public void onEnable() {

        int pluginId = 26193;
        Metrics metrics = new Metrics(this, pluginId);

        saveDefaultConfig();

        new VanishCommand(this);
        new onJoinEvent(this);
        new onLeaveEvent(this);

    }

    @Override
    public void onDisable() {



    }
}
